 
/*********************************************************************************
 *  Copyright© 2010 Luigi Malagò (malago@elet.polimi.it)                         *
 *										 *
 *  This file is part of Evoptool.						 *
 * 										 *
 *  Evptool is free software: you can redistribute it and/or modify              *
 *  it under the terms of the GNU General Public License as published by         *
 *  the Free Software Foundation, either version 3 of the License, or            *
 *  (at your option) any later version.                                          *
 *										 *
 *  Evoptool is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  		 *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 		 *
 *  GNU General Public License for more details.				 *
 *										 *
 *  You should have received a copy of the GNU General Public License		 *
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>. 		 *	
 *********************************************************************************/

#ifndef F3DECEPTIVEBIPOLAR_H
#define F3DECEPTIVEBIPOLAR_H

#include "ObjectiveFunction.h"

/* This class defines the F3 Deceptive Bipolar objective function. */

class F3DeceptiveBipolar : public ObjectiveFunction {
public:
        F3DeceptiveBipolar(int size);
        virtual ~F3DeceptiveBipolar();

	double f(BinaryInstance* bi);

};

#endif
