 
/*********************************************************************************
 *  Copyright© 2010 Gabriele Valentini (gabriele.valentini@mail.polimi.it),	 *
 *                  Luigi Malagò (malago@elet.polimi.it)                         *
 *										 *
 *  This file is part of Evoptool.						 *
 * 										 *
 *  Evptool is free software: you can redistribute it and/or modify              *
 *  it under the terms of the GNU General Public License as published by         *
 *  the Free Software Foundation, either version 3 of the License, or            *
 *  (at your option) any later version.                                          *
 *										 *
 *  Evoptool is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  		 *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 		 *
 *  GNU General Public License for more details.				 *
 *										 *
 *  You should have received a copy of the GNU General Public License		 *
 *  along with Evoptool.  If not, see <http://www.gnu.org/licenses/>. 		 *	
 *********************************************************************************/

#ifndef ALGORITHMS_H
#define ALGORITHMS_H

//Evolutionary Algorithms
#include "cGA.h"
#include "SGA.h"
#include "SGABinTourn.h"
#include "SGAPopWiseCross.h"
#include "PBIL.h"
#include "UMDA.h"
#include "MIMIC.h"
#include "hcCOMIT.h"
#include "pbilCOMIT.h"
#include "UnivariateDEUM.h"
#include "BivariateDEUM.h"
#include "IsingDEUM.h"
//#include "sBOA.h"

#endif
